--- title: "Get update list" slug: "ai-application-service-aitems-service-updatelist" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-updatelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get update list Available in Classic and VPC Get the service update information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /services/{serviceId}/updates | ### Request headers For information about the headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service ID - See [Get service list](/docs/en/ai-application-service-aitems-service-list). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Required | Training request type - `personalRecommend` \| `relatedItem` \| `pop` - `personalRecommend`: Personalized recommendations based on customer service users' past history - `relatedItem`: Personalized recommendations based on an item's association history - `pop`: Top item recommendations by rank | | `trainVersion` | String | Required | Training version - See [Get training list](/docs/en/ai-application-service-aitems-service-trainlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services/49qkb******/updates?type=personalRecommend&trainVersion=9fn93******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `updates` | Array | - | Update details: [updates](/docs/en/ai-application-service-aitems-service-updatelist#updates) | #### `updates` The following describes `updates`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `updateVersion` | String | - | Update version | | `status` | String | - | Update status | | `type` | String | - | Training request type - `personalRecommend` \| `relatedItem` \| `pop` - `personalRecommend`: Personalized recommendations based on customer service users' past history - `relatedItem`: Personalized recommendations based on an item's association history - `pop`: Top item recommendations by rank | | `createdDate` | String | - | Update request date and time | | `finishedDate` | String | - | Update completion date and time | | `updateResult` | Object | - | Update result | | `updateResult.inputUsersCnt` | Integer | - | Number of users requested for update | | `updateResult.inputItemsCnt` | Integer | - | Number of items requested for update | | `updateResult.inputRowsCnt` | Integer | - | Number of interactions (logs) requested for update | | `updateResult.updatedItemsCnt` | Integer | - | Number of items updated | | `updateResult.updatedUsersCnt` | Integer | - | Number of users updated | ### Response status codes For information about the HTTP status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "updates": [ { "updateVersion": "sl3ao******", "status": "completed", "type": "personalRecommend", "createdDate": "2024-08-16T15:37:34.720Z", "finishedDate": "2024-08-16T15:37:34.720Z", "updateResult": { "inputUsersCnt": 2, "inputItemsCnt": 0, "inputRowsCnt": 2, "updatedItemsCnt": 0, "updatedUsersCnt": 2 } } ] } ```